Subject: Re: [PATCH net] net: ethernet: marvell: octeontx2: nic: Add error pointer check in otx2_ethtool.c

From: Simon Horman <[email-masked]>
Date: Tue, 24 Sep 2024 19:14:58 +0100

On Tue, Sep 24, 2024 at 11:42:58PM +0545, Dipendra Khadka wrote:
> Hi Simon,
> 
> On Tue, 24 Sept 2024 at 21:43, Simon Horman <[email-masked]> wrote:
> >
> > On Tue, Sep 24, 2024 at 08:39:47PM +0545, Dipendra Khadka wrote:
> > > Hi Simon,
> > >
> > > On Tue, 24 Sept 2024 at 12:55, Simon Horman <[email-masked]> wrote:
> > > >
> > > > On Mon, Sep 23, 2024 at 11:31:34AM +0000, Dipendra Khadka wrote:
> > > > > Add error pointer check after calling otx2_mbox_get_rsp().
> > > > >
> > > >
> > > > Hi Dipendra,
> > > >
> > > > Please add a fixes tag here (no blank line between it and your
> > > > Signed-off-by line).
> > > > > Signed-off-by: Dipendra Khadka <[email-masked]>
> > > >
> > > > As you have posted more than one patch for this driver, with very similar,
> > > > not overly complex or verbose changes, it might make sense to combine them
> > > > into a single patch. Or, if not, to bundle them up into a patch-set with a
> > > > cover letter.
> > > >
> > > > Regarding the patch subject, looking at git history, I think
> > > > an appropriate prefix would be 'octeontx2-pf:'. I would go for
> > > > something like this:
> > > >
> > > >   Subject: [PATCH net v2] octeontx2-pf: handle otx2_mbox_get_rsp errors
> > > >
> > >
> > > If I bundle all the patches for the
> > > drivers/net/ethernet/marvell/octeontx2/ , will this subject without v2
> > > work? Or do I need to change anything? I don't know how to send the
> > > patch-set with the cover letter.
> >
> > Given that one of the patches is already at v2, probably v3 is best.
> >
> > If you use b4, it should send a cover letter if the series has more than 1
> > patch.  You can use various options to b4 prep to set the prefix
> > (net-next), version, and edit the cover (letter).  And you can use various
> > options to b4 send, such as -d, to test your submission before sending it
> > to the netdev ML.
> >
> 
> I did not get this -d and testing? testing in net-next and sending to net?

I meant that b4 prep -d allows you to see the emails that would be sent
without actually sending them. I find this quite useful myself.

> 
> > Alternatively the following command will output 3 files: a cover letter and
> > a file for each of two patches, with v3 and net-next in the subject of each
> > file. You can edit these files and send them using git send-email.
> >
> > git format-patch --cover-letter -2 -v3 --subject-prefix="PATCH net-next"
> >
> 
> Should I send it to net-next or net?

Sorry for the confusion. I wrote net-next in my example,
but I think this patch-set would be for net.

...